12.52 vs. 12.7.2 Custom Assertion Generator Plugin (AGP)

Document ID : KB000116591
Last Modified Date : 28/09/2018
Show Technical Document Details
Question:
We have some custom jar files developed for SAML assertion creation in SM12.52.  We are planning to recompile that code with jdk1.8 as part of Siteminder upgrade to 12.7.2.  Can we use the 12.52 SM SDK jars to compile the code and use it in 12.7.2 or do we need to compile the code with the 12.7.2 SDK?
Answer:
Custom code should be recompiled with matching version of SDK, so in this case recompile with 12.7.2 SDK.